List products in a price list
Returns all products that have a price override within this price list.
GET
/price_lists/{id}/productsAuthorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredPrice list ID
Query parameters
pageintegerdefault: 1
per_pageintegerdefault: 20
Responses
200Products in this price list
_embeddedobjectShow propertiesHide properties
itemsobject[]Show propertiesHide properties
Array of
objectidintegerproduct_idintegernamestringslugstringpriceintegerprice_comparisonintegerretail_priceintegerOriginal (non-price-list) price, in cents
404Price list not found
Request
curl -X GET "https://api.onbolder.com/v2/price_lists/10/products" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v2/price_lists/10/products", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v2/price_lists/10/products",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"_class": [
"results",
"priceListProducts"
],
"total_items": 3,
"_embedded": {
"items": [
{
"id": 101,
"product_id": 101,
"name": "Summer Dress",
"slug": "summer-dress",
"price": 3999,
"retail_price": 4999,
"_embedded": {
"price_items": [
{
"id": 201,
"variant_id": 201,
"price": 3999
}
]
}
}
]
}
}Price list not found